#
# The Qubes OS Project, https://www.qubes-os.org/
# Copyright (C) 2018  Wojtek Porczyk <woju@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

Name:       qubes-split-git
Version:    1.0.1
Release:    2%{dist}
Summary:    Secure git import over qrexec

Group:      Qubes
Vendor:     Invisible Things Lab
License:    GPL
URL:        https://www.qubes-os.org/

BuildRequires:  make
Requires:   python%{python3_pkgversion}
Requires:   git

Source0: %{name}-%{version}.tar.gz

%description
This package is intended for fetching signed tags from other qubes via qrexec.
Only correctly signed tags are ever written to disk.

%prep
%setup -q

%install
%make_install

%files
/etc/qubes-rpc/git.Fetch
/etc/qubes-rpc/git.List
/etc/qubes-rpc/git.ListHeadOnly
/usr/bin/git-remote-qrexec

%changelog
* Mon Mar 28 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS-contrib/qubes-app-split-git.git

* Mon Mar 28 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a364288
- version 1.0.1-2

* Mon Mar 28 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d927853
- Use @REL@

* Mon Mar 28 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a42e376
- spec: add make BR

* Mon Mar 28 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 281c9ae
- Add gitlab-ci

* Mon Nov 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1af757f
- version 1.0.1

* Mon Nov 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e011f44
- spec: use make_install and python3_pkgversion macro

* Fri Jan 11 2019 Wojtek Porczyk <woju@invisiblethingslab.com> - d363b43
- README: fix codeblock

* Fri Jan 11 2019 Wojtek Porczyk <woju@invisiblethingslab.com> - 5a6b507
- README: fix description of first pull

* Fri Jan 11 2019 Wojtek Porczyk <woju@invisiblethingslab.com> - b55a63b
- git-remote-qrexec: don't use assert for security logic

* Fri Jan 11 2019 Wojtek Porczyk <woju@invisiblethingslab.com> - 769867a
- git-remote-qrexec: fix gpgv() overloaded signature

* Mon Nov 26 2018 Wojtek Porczyk <woju@invisiblethingslab.com> - b542a51
- README: add non-setup usage and explanation about refs

* Mon Nov 26 2018 Wojtek Porczyk <woju@invisiblethingslab.com> - e723d02
- git-remote-qrexec: fix for unsigned HEAD

* Sun Nov 25 2018 Wojtek Porczyk <woju@invisiblethingslab.com> - 3221238
- Assorted bugfixes

* Tue Jun 12 2018 user@localhost <user@localhost> - 6715422
- A released version with fixes

* Mon Feb 19 2018 Wojtek Porczyk <woju@invisiblethingslab.com> - c2e5654
- README

* Mon Feb 19 2018 Wojtek Porczyk <woju@invisiblethingslab.com> - 13a2889
- Initial commit

